package provider

import (
	"context"

	pb "code.hackerspace.pl/hscloud/bgpwtf/cccampix/proto"
)

// Provider is the interface exposed to the service by IRR proxies.
type Provider interface {
	// Return a proto response for a given AS.
	Query(ctx context.Context, as uint64) (*pb.IRRQueryResponse, error)
}
