Codelabs
========

Codelabs are short, sweet and hands-on technical tutorials that teach you concepts related to hscloud and our infrastructure in general.

Yes, there aren't many of these yet. Wanna change that? :)

Getting started
---------------

- [**Checking out hscloud**](getting-started/checking-out.md) - how to get a copy of hscloud, how to navigate around it, and what's what. This is nearly **mandatory** for anyone who wishes to interact with hscloud.
- [**Your First Change**](getting-started/your-first-change.md) - how to use Gerrit and git to send your first change to hscloud, and an intro to personal directories. Using Gerrit can be somewhat confusing even (or especially) if you're used to Gitflow or GitHub.
- [**Bazel & Go basics**](getting-started/bazel-go.md) - will (TODO) guide you through building some code using Bazel, and then writing a tiny bit of Go code of your own.
- [**Preparing kubernetes environment**](getting-started/prepare-environment.md) - how to build environment using `nix` and `bazel`, to be able to run first kubernetes pod.
- [**Building web app**](getting-started/building-flask-web-app.md) - how to prepare our first Flask app and register it on hscloud k8s registry.
- [**Deploying web app**](getting-started/deploying-flask-web-app.md) - how to deploy our registed Flask web app on hscloud.

See also
--------

- [**Cluster User Docs**](/cluster/doc/user.md) - getting started with our Kubernetes cluster (on hackdoc://cluster)
