set -x hscloud_root (dirname (realpath (status -f)))

if test ! -e "$hscloud_root/WORKSPACE"
    echo "Could not find WORKSPACE"
    exit 1
end

set hscloud_path $hscloud_root/bazel-bin/tools $hscloud_root/bazel-bin/cluster/tools
if not string match -q $hscloud_path $PATH
    echo "OwO"
    set -x PATH $hscloud_path $PATH
end

# Leftover junk. This should be removed, as env.fish is now optional.
# Do _not_ add more aliases!
function gpg-unlock
    echo "test" | gpg2 --sign --batch --no-tty -o /dev/null
end
