$ORIGIN .
$TTL 180
waw.hackerspace.pl  IN SOA  customs.hackerspace.pl. bofh.hackerspace.pl. (
                            1657149584; serial
                            1800 ; refresh (30 minutes)
                            1800 ; retry (30 minutes)
                            604800 ; expire (1 week)
                            10800 ; minimum (3 hours)
                            )
                    NS      customs.hackerspace.pl.

$ORIGIN waw.hackerspace.pl.
$TTL 300

zbigniew    A       10.8.1.1
graphite    CNAME   zbigniew

customs     A       10.8.1.2
customs     AAAA    2a0d:eb00:4242::1
at          CNAME   customs
nat         CNAME   customs
laser       A       10.8.1.2

craptrap    A       10.8.1.15
klangsmaschine A     10.8.1.16
music       CNAME   klangsmaschine
sound       CNAME   klangsmaschine
mqtt        CNAME   klangsmaschine
iot         CNAME   klangsmaschine
spejsiot    CNAME   klangsmaschine
wojtylexx   CNAME   klangsmaschine
ac          A       10.8.1.40 ; vuko's access control
lights      A       10.8.1.40 ; vuko's lights web interface
parts       A       10.8.1.40 ; vuko's electronics inventory
printmaster A       10.8.1.17
octoprint   CNAME   printmaster
label       CNAME   printmaster
ploter      A       10.8.1.19
papiez      A       10.8.1.20
dank        A       10.8.1.21
assbox      A       10.8.1.22
pap         A       10.8.1.23
dht01       A       10.8.1.25
led         A       10.8.1.26
bridgeport  A       10.8.1.29
cnc         CNAME   bridgeport
printers    A       10.8.1.30
telelele    A       10.8.1.31
vending     A       10.8.1.32
mate        CNAME   vending
transcend   A       10.8.1.33
welcomer    A       10.8.1.34
inventory   A       10.8.1.38
i           CNAME   inventory
camera      A       10.8.1.39
franciszek  A       10.8.0.205

freebsd     A       10.8.1.41 ; mpts freebsd workshops
ciscovoip   A       10.8.1.42
ripeatlas   A       10.8.1.43
ap01        A       10.8.1.44
ap02        A       10.8.1.45
ap03        A       10.8.1.46

winbox      A       10.8.1.48
staszkecoin A       10.8.1.49
sokul       A       10.8.1.50
blitzloop   A       10.8.1.51
tronxy      A       10.8.1.52
tv1         A       10.8.1.53
tv2         A       10.8.1.54


dht01api    A       94.240.35.98

ap1         A       10.8.3.11
ap2         A       10.8.3.12
ap3         A       10.8.3.13
ap4         A       10.8.3.14

voldemort   A       10.8.0.204
printer     CNAME   voldemort

core01      A       10.10.1.10
bladerunner A       10.10.1.12
core02      A       10.10.1.13
core03      A       10.10.1.14

; wieloryb    A       10.10.3.10
wieloryb    A       185.236.240.9
ipxe        CNAME   wieloryb
cluster     CNAME   wieloryb
eyefi       CNAME   wieloryb
home        CNAME   wieloryb
kubernetes  CNAME   wieloryb

; led         A       94.240.35.98

wh01.prod   A       10.10.3.20
wh02.prod   A       10.10.3.21
wh03.prod   A       10.10.3.22

ganeti A 10.10.4.10
node1.ganeti A 10.10.4.11
node2.ganeti A 10.10.4.12
node3.ganeti A 10.10.4.13
node4.ganeti A 10.10.4.14
node5.ganeti A 10.10.4.15

monitoring.vm             A 10.10.3.11

obsd.viq            A 10.10.4.101
