package pl.hackerspace.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class CustomInvoiceDataDto {

    private String customServiceName;

    private BigDecimal customPrice;

    private BigDecimal customAmount = BigDecimal.valueOf(1);

    private BigDecimal customVat = BigDecimal.valueOf(23);
}
