CREATE TABLE peer_pgp_keys (
    peer_id UUID NOT NULL,
    id UUID DEFAULT gen_random_uuid(),

    fingerprint STRING NOT NULL,
    time_created INT NOT NULL,

    UNIQUE (peer_id),
    PRIMARY KEY (peer_id, id),
    CONSTRAINT fk_peer FOREIGN KEY (peer_id) REFERENCES peers (id) ON DELETE CASCADE
) INTERLEAVE IN PARENT peers (peer_id);
