CREATE TABLE session_configs (
    peer_id UUID NOT NULL,
    peer_router_id UUID NOT NULL,
    id UUID DEFAULT gen_random_uuid(),

    bgp_secret STRING NOT NULL,

    UNIQUE (peer_router_id),
    PRIMARY KEY (peer_id, peer_router_id, id),
    CONSTRAINT fk_peer_router FOREIGN KEY (peer_id, peer_router_id) REFERENCES peer_routers ON DELETE CASCADE
) INTERLEAVE IN PARENT peer_routers (peer_id, peer_router_id);
