load("//devtools/gerrit/gerrit-oauth-provider/tools/bzl:maven_jar.bzl", "maven_jar")

def external_plugin_deps(omit_commons_codec = True):
    # Keep in sync with gerrit owners plugin!
    JACKSON_VERS = "2.10.2"
    maven_jar(
        name = "scribejava-core",
        artifact = "com.github.scribejava:scribejava-core:6.9.0",
        sha1 = "ed761f450d8382f75787e8fee9ae52e7ec768747",
    )
    maven_jar(
        name = "jackson-core",
        artifact = "com.fasterxml.jackson.core:jackson-core:" + JACKSON_VERS,
        sha1 = "73d4322a6bda684f676a2b5fe918361c4e5c7cca",
    )
    maven_jar(
        name = "jackson-databind",
        artifact = "com.fasterxml.jackson.core:jackson-databind:" + JACKSON_VERS,
        sha1 = "0528de95f198afafbcfb0c09d2e43b6e0ea663ec",
    )
    maven_jar(
        name = "jackson-annotations",
        artifact = "com.fasterxml.jackson.core:jackson-annotations:" + JACKSON_VERS,
        sha1 = "3a13b6105946541b8d4181a0506355b5fae63260",
    )
    maven_jar(
        name = "jackson-dataformat-yaml",
        artifact = "com.fasterxml.jackson.dataformat:jackson-dataformat-yaml:" + JACKSON_VERS,
        sha1 = "8a6a6ad573b48dc3b623414719428ecbfeb259a3",
    )
    if not omit_commons_codec:
        maven_jar(
            name = "commons-codec",
            artifact = "commons-codec:commons-codec:1.4",
            sha1 = "4216af16d38465bbab0f3dff8efa14204f7a399a",
        )
